# ezQuake Manual: HUD Variables

- Chat Settings
- Console Settings
- MQWCL HUD
- Status Bar and Scoreboard

## Chat Settings Variables

### allow_f_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Your client will respond to f_cmdline checks with your current command line used to run current ezQuake instance.
0 | Your client will not respond to f_cmdline checks.

### allow_f_system

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Your client will respond to f_system checks displaying your PC configuration.
0 | Your client will not respond to f_system checks.

### auth_viewcrc

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | the client shows you the authentication CRC in f_version responses.
0 | the client hides the authentication CRC in f_version responses.

### cl_chatsound

This variable has been renamed to s_chat_custom

#### Description

Controls usage of con_sound_* variables.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
0 | Do not use con_sound_* variables settings.
1 | Use settings from con_sound_* for char sounds.
2 | Only play sounds in mm2.

### cl_fakename

#### Description

Automatically prefixes all team messages with a shorter version of your nick unless the message has a "fake" part already (so no configs are broken).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.
prefix for team messages

Applies for say_team and messagemode2

### cl_floodprot

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable floodprot.
0 | Disable floodprot.

### cl_fp_messages

#### Description

This variable is used in conjunction with the variable "cl_fp_persecond" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

### cl_fp_persecond

#### Description

This variable is used in conjunction with the variable "cl_fp_messages" to define when the floodprot protection should be triggered (if "cl_floodprot" is set to "1").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

### cl_nofake

#### Description

This command effects name faking using $/ or cl_fakename used by players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

#### Values

value | description
0 | No unfaking.
1 | Unfake all messages.
2 | Unfake messages from enemies only.

### cl_parseFunChars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | You can use Ocrana LED's by hand right out of the console and chat anonymously through "$\" without showing your name (chat messages that are seen without your name at the beginning).
0 | Off.

Full list: $R - red lamp $G - green lamp $B - blue lamp $Y - yellow lamp $\ - carridge return $( - big left bracket $= - big equal sign $) - big right bracket $. - red middle dot $, - white dot (names only) $< - small left bracket $- - small equal sign $> - small right bracket $a - big grey block $: - line feed $b - filled red block $d - right pointing red arrow $[ - gold left square bracket $] - gold right square bracket $^ - white ^ (names only) ^x - red x (names only) $0-9 - yellow number $xyy - char with hex code yy (In order to use the lamps, you'll need the Ocrana pak).

### cl_parseSay

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | You can use macros such as %a %h %l (like in Qizmo).
0 | Disable %-macros (%a %h %b etc...)

### cl_parseWhiteText

#### Description

Convert text between { and } to white or not in chat/team chat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Convert none.
1 | Convert all (chat and team chat).
2 | Convert team chat only.

### cl_restrictions

#### Description

Triggers and re/msg trigger restrictions for spectator and demoplay modes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Disallow triggers and huds
0 | Allow triggersand huds

FuhQuake always behave as cl_restrictions 1. QW262 by default it have cl_restrictions 1.

### ignore_flood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Off.
1 | Ignores repeated 'say' and spectator messages.
2 | Ignores repeated 'say', 'say_team' and spectator messages.

### ignore_flood_duration

#### Description

You can change the 4 second cooldown with the 'ignore_flood_duration' variable.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

### ignore_mode

#### Description

Someone is on your ignore list, you won't see any messagemode (/say hello) messages from them (even if they are a spec).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Ignore say_team too.
0 | Ignore say only.

### ignore_opponents

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Do not ignore opponent team.
1 | Alway ignore opponent team.
2 | Only ignore opponent team during the match.

### ignore_qizmo_spec

#### Description

Ignores all Qizmo spectators (= observers). Very useful on big matches with 100 and more spectators.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Ignoring ON.
0 | Ignoring OFF.

### ignore_spec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Off
1 | Ignore spec chat unless you are a spectator.
2 | Ignore spec chat even if you are a spectator.

### msg_filter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Filters nothing (default)
1 | Filters mm1 and spec messages
2 | Filters mm2 messages
3 | Filters mm1, mm2, and spec messages

### s_chat_custom

#### Description

Controls usage of con_sound_* variables.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description

## Console Settings Variables

### cl_chatmode

#### Description

Console chat mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

#### Values

value | description
0 | Text in the console is always treated as a command and in order to chat you have to use messagemode/messagemode2 or use the say/say_team commands.
1 | Everything typed in the console goes into chat. In order to issue a command, prefix it with a slash (/).
2 | If the first word in the line is a command, it is executed. Otherwise, the line is sent as chat.

### cl_savehistory

#### Description

Save console commands history to .ezquake_history. Loads history from this file while starting ezquake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | save
0 | don't save

### con_clearnotify

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Messages won't say when you toggle console.
0 | Messages stay even when you toggle console.

### con_funchars_mode

#### Description

Orange text, LEDs and special chars with [Ctrl] key - kind of MQWCL behaviour when set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | MQWCL behaviour - [Ctrl] + [Y] turns on yellow number input
0 | FuhQuake behaviour - [Ctrl] + key for yellow numbers and LEDs

### con_highlight

#### Description

Console highlighting mode. Will highlight a line in the console which contains your nickname.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | No highlighting
1 | Highlighted line will be all white.
2 | Highlighted line will start with the text given in con_highlight_mark
3 | Both 1 and 2: highlighted line will be white and start with special text

See con_highlight_mark.

### con_highlight_mark

#### Description

Specifies the text that will be used to highlight lines with con_highlight 2 and 3.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.
This text will be used on the beginning of the highlighted line

### con_notify

#### Description

Toggles the display of the notification area

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

Notification area is the place where chat and game messages are displayed

### con_notifylines

#### Description

This variable sets the number of notify lines (default 4, max 20) to be used at the top of the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

#### Values

value | description
0 | Use no notify lines at all.
1 | Use one notify line.
20 | Use 20 notify lines.

...

### con_notifytime

#### Description

How long console messages stay on screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### con_particles_alpha

#### Description

Sets the transparency of con_particles_images.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
From 0....1. 0 is invisible, 1 is completely solid.

### con_particles_images

#### Description

Set the number of images you have in /textures/conpart.png.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.
Each image should take up 64x64 pixels.

### con_shift

#### Description

Adjusts vertical offset of background of the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### con_sound_mm1_file

This variable has been renamed to s_mm1_file

#### Description

You can specify notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_mm1_volume

This variable has been renamed to s_mm1_volume

#### Description

You can specify volume of notification sound for messagemode1 (/messagemode or /say foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_mm2_file

This variable has been renamed to s_mm2_file

#### Description

You can specify notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_mm2_volume

This variable has been renamed to s_mm2_volume

#### Description

You can specify volume of notification sound for messagemode2 (/messagemode2 or /say_team foo) messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_other_file

This variable has been renamed to s_other_file

#### Description

You can specify notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_other_volume

This variable has been renamed to s_otherchat_volume

#### Description

You can specify volume of notification sound for other messages (than messagemode, messagemode2 and from spectators).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_spec_file

This variable has been renamed to s_spec_file

#### Description

You can specify notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_sound_spec_volume

This variable has been renamed to s_spec_volume

#### Description

You can specify volume of notification sound for spectator messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### con_tilde_mode

#### Description

When enabled, allows you to use the tilde key also in the console and when typing messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Treat tilde as a key leading to type a character associated to it
0 | Always use tilde to toggle the console

To exit the console with con_tilde_mode 1, use Escape

### con_timestamps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | will enable timestamps for chat text in console, every chat message will begin with timestamp (hour:minute) followed by a message
0 | Console timesptamps turned OFF

### con_wordwrap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable word wrapping.
0 | Disable word wrapping.

### cvar_viewdefault

#### Description

When you type a cvar name into console (like 'gl_gamma' or 'r_rocketlight'), the client will tell you the default value of the cvar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | On.
0 | Off.

### cvar_viewhelp

#### Description

Automatically prints manual page when a variable name is typed in the console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Print help automatically
0 | Do not print help

### cvar_viewlatched

#### Description

When you type a variable name in the console, you'll be able to see it's latched value if this is turned on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Display latched value (if any)
0 | Don't display latched value

Latched values are used for example for renderer settings. Variable value is latched until the renderer is restarted, in that moment the latched value becomes the actuall value of the variable.

### gl_alphafont

#### Description

When turned on allows the alpha transparency layer support for the console font.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Use full 256 levels of transparency for console font
0 | Use only 2 levels of transparency for console font

### gl_consolefont

#### Description

Changes your console font. Put all your charset images in qw/textures/charsets/*.png (and *.tga) and use /loadcharset XXX to load XXX.png (or tga). "/gl_consolefont original" will restore the 8bit font in your gfx.wad (this is default). Note: loadcharset is an alias for gl_consolefont.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: povo5

Variable is string.

### gl_smoothfont

#### Description

Smoothens out the font (which = good). But in some cases the font wasn't designed to be smoothened (sometimes the case of custom console fonts etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | On.
0 | Off.

### log_dir

#### Description

The logging dir.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### log_readable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Will convert all non printable characters to printable characters in your log. This makes your log readable because all the weird ascii characters that usually occur because of different coloured text in the client (and because of weird symbols - ocrana led's etc) are converted into printable characters.
0 | Off.

### scr_conalpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

#### Values

value | description
1 | Normal.
0 | Transparent.

### scr_conback

#### Description

Allows display of map preview as a console background

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Never display map preview.
1 | Display map preview on level loading process.
2 | Always display map preview as a console background.

### scr_consize

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

#### Values

value | description
1 | Maximum console height.
0 | Minimal console height.

### scr_conspeed

#### Description

This variable controls the speed at which the console screen scrolls up and down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

### scr_printspeed

#### Description

This variable controls how fast the text is displayed at the end of the single player episodes.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is float.

## MQWCL HUD Variables

### hud_ammo1_align

#### Description

Sets align of number of shells for both horizontal and vertical direction.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_ammo1_align_x

#### Description

Sets horizontal align of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_ammo1_align_y

#### Description

Sets vertical align of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_ammo1_digits

#### Description

Sets number of digits for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_ammo1_frame

#### Description

Sets frame visibility and style for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo1_frame_color

#### Description

Defines the color of the background of the ammo1 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ammo1_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_ammo1_place

#### Description

Sets relative positioning for number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_ammo1_pos_x

#### Description

Sets horizontal position of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo1_pos_y

#### Description

Sets vertical position of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo1_scale

#### Description

Sets size of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo1_show

#### Description

Switches showing of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo1_style

#### Description

Switches graphical style of number of shells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo2_align

#### Description

Sets align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_ammo2_align_x

#### Description

Sets horizontal align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_ammo2_align_y

#### Description

Sets vertical align of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_ammo2_digits

#### Description

Sets number of digits for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_ammo2_frame

#### Description

Sets frame visibility and style for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo2_frame_color

#### Description

Defines the color of the background of the ammo2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ammo2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_ammo2_place

#### Description

Sets relative positioning for number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ammo1

Variable is float.

### hud_ammo2_pos_x

#### Description

Sets horizontal position of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo2_pos_y

#### Description

Sets vertical position of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo2_scale

#### Description

Sets size of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo2_show

#### Description

Switches showing of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo2_style

#### Description

Switches graphical style of number of nails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo3_align

#### Description

Sets align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_ammo3_align_x

#### Description

Sets horizontal align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_ammo3_align_y

#### Description

Sets vertical align of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_ammo3_digits

#### Description

Sets number of digits for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_ammo3_frame

#### Description

Sets frame visibility and style for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo3_frame_color

#### Description

Defines the color of the background of the ammo3 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ammo3_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_ammo3_place

#### Description

Sets relative positioning for

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ammo2

Variable is float.

### hud_ammo3_pos_x

#### Description

Sets horizontal position of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo3_pos_y

#### Description

Sets vertical position of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo3_scale

#### Description

Sets size of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo3_show

#### Description

Switches showing of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo3_style

#### Description

Switches graphical style of number of rockets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo4_align

#### Description

Sets align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_ammo4_align_x

#### Description

Sets horizontal align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_ammo4_align_y

#### Description

Sets vertical align of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_ammo4_digits

#### Description

Sets number of digits for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_ammo4_frame

#### Description

Sets frame visibility and style for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo4_frame_color

#### Description

Defines the color of the background of the ammo4 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ammo4_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_ammo4_place

#### Description

Sets relative positioning for number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ammo3

Variable is float.

### hud_ammo4_pos_x

#### Description

Sets horizontal position of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo4_pos_y

#### Description

Sets vertical position of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo4_scale

#### Description

Sets size of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo4_show

#### Description

Switches showing of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo4_style

#### Description

Switches graphical style of number of cells

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo_align

#### Description

Sets align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_ammo_align_x

#### Description

Sets horizontal align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_ammo_align_y

#### Description

Sets vertical align of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_ammo_digits

#### Description

Sets number of digits for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_ammo_frame

#### Description

Sets frame visibility and style for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo_frame_color

#### Description

Defines the color of the background of the ammo HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ammo_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_ammo_place

#### Description

Sets relative positioning for current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: health

Variable is float.

### hud_ammo_pos_x

#### Description

Sets horizontal position of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is float.

### hud_ammo_pos_y

#### Description

Sets vertical position of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ammo_scale

#### Description

Sets size of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo_show

#### Description

Switches showing of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ammo_style

#### Description

Switches graphical style of current ammo value

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_armordamage_align

#### Description

Sets armordamage HUD element alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is string.
horizontal: left, center, right, before, after; vertical: top, center, bottom, console, before, after

See HUD manual for more info.

### hud_armordamage_align_x

#### Description

Sets armordamage HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_armordamage_align_y

#### Description

Sets armordamage HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_armordamage_digits

#### Description

Sets highest possible number of digits displayed in HUD element armordamage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_armordamage_duration

#### Description

Sets how long armordamage should be visible after last damage to armor has been done.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.
Float number

### hud_armordamage_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_armordamage_frame_color

#### Description

Defines the color of the background of the armordamage HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_armordamage_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_armordamage_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: armor

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_armordamage_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_armordamage_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_armordamage_scale

#### Description

Sets overall size of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
Use positive floating point numbers.

### hud_armordamage_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_armordamage_style

#### Description

Toggles between different numbers styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | small font, gfxwad
0 | large font, texture

### hud_armor_align

#### Description

Sets align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_armor_align_x

#### Description

Sets horizontal align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is float.

### hud_armor_align_y

#### Description

Sets vertical align of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_armor_digits

#### Description

Sets number of digits for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_armor_frame

#### Description

Sets frame visibility and style for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_armor_frame_color

#### Description

Defines the color of the background of the armor HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_armor_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_armor_place

#### Description

Sets relative positioning for armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: face

Variable is float.

### hud_armor_pos_x

#### Description

Sets horizontal position of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -32

Variable is float.

### hud_armor_pos_y

#### Description

Sets vertical position of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_armor_scale

#### Description

Sets size of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_armor_show

#### Description

Switches showing of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_armor_style

#### Description

Switches graphical style of armor level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_clock_align_x

#### Description

Sets horizontal align of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_clock_align_y

#### Description

Sets vertical align of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: console

Variable is float.

### hud_clock_big

#### Description

Switches unsing larger version of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_clock_blink

#### Description

Switches blinking colon of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_clock_frame

#### Description

Sets frame visibility and style for clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_clock_frame_color

#### Description

Defines the color of the background of the clock HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_clock_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### hud_clock_place

#### Description

Sets relative positioning for clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_clock_pos_x

#### Description

Sets horizontal position of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_clock_pos_y

#### Description

Sets vertical position of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_clock_scale

#### Description

Size of the clock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_clock_show

#### Description

Switches showing of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_clock_style

#### Description

Switches graphical style of clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_democlock_align_x

#### Description

Vertical alignment of the democlock HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is string.

### hud_democlock_align_y

#### Description

Vertical alignment of the democlock HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: console

Variable is string.

### hud_democlock_big

#### Description

Enables larger version of the democlock.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_democlock_blink

#### Description

Enables democlock colon blinking

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_democlock_frame

#### Description

Opacity of the background of the democlock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_democlock_frame_color

#### Description

Defines the color of the background of the democlock HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_democlock_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 7

Variable is integer.

### hud_democlock_place

#### Description

Placement of the democlock HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_democlock_pos_x

#### Description

Horizontal relative position of the democlock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_democlock_pos_y

#### Description

Vertical relative position of the democlock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### hud_democlock_scale

#### Description

Size of the democlock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_democlock_show

#### Description

Visibility of the democlock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### hud_democlock_style

#### Description

Toggles democlock render styles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_digits_trim

#### Description

Changes how large numbers are treated in Head Up Display

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | 10030 will be displayed as "999" with hud_*_digits 3
1 | 10030 will be displayed as "030" with hud_*_digits 3
2 | 10030 will be displayed as "100" with hud_*_digits 3

Applies to all HUD elements with 'digits' property.

### hud_editor_allowalign

#### Description

Should aligning be allowed when using the HUD editor?

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Allow aligning in the HUD editor (alt + mouse 1)
0 | Dissallow aligning in the HUD editor

This can also be toggled when in the HUD editor by using the F3 button.

### hud_editor_allowmove

#### Description

Allow moving HUD elements when in HUD editor mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Allow moving objects in the HUD editor.
0 | Dissalow moving objects in the HUD editor

This can also be toggled when in the HUD editor by using the F1 button.

### hud_editor_allowplace

#### Description

Allow placing HUD elements in HUD editor mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Allow placing HUD elements in the HUD editor (ctrl + mouse 1)
0 | Dissallow placing HUD elements in the HUD editor

This can also be toggled when in the HUD editor by using the F4 button.

### hud_editor_allowresize

#### Description

Allow resizing HUD elements in HUD editor mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Allow resizing HUD elements in the HUD editor
0 | Dissalow resizing HUD elements in the HUD editor

This can also be toggled when in the HUD editor by using the F2 button.

### hud_face_align_x

#### Description

Sets horizontal align of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_face_align_y

#### Description

Sets vertical align of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_face_frame

#### Description

Sets frame visibility and style for player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_face_frame_color

#### Description

Defines the color of the background of the face HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_face_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_face_place

#### Description

Sets relative positioning for player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_face_pos_x

#### Description

Sets horizontal position of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_face_pos_y

#### Description

Sets vertical position of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_face_scale

#### Description

Sets size of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_face_show

#### Description

Switches showing of player face

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_fps_align_x

#### Description

Sets horizontal align of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_fps_align_y

#### Description

Sets vertical align of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_fps_decimals

#### Description

How many decimal number should the FPS HUD element contain

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_fps_frame

#### Description

Sets frame visibility and style for fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_fps_frame_color

#### Description

Defines the color of the background of the fps HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_fps_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 9

Variable is integer.

### hud_fps_place

#### Description

Sets relative positioning for fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gameclock

Variable is float.

### hud_fps_pos_x

#### Description

Sets horizontal position of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_fps_pos_y

#### Description

Sets vertical position of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_fps_show

#### Description

Switches showing of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_fps_show_min

#### Description

Switches showing of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_fps_title

#### Description

Switches displaying the text "fps" of fps counter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_frags_align_x

#### Description

Sets horizontal align of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_frags_align_y

#### Description

Sets vertical align of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_frags_bignum

#### Description

Changes the scale of the fragcount number.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
If this is 0 the fragcount will use the normal charset. If it's above 0 it will scale a big number character instead.

### hud_frags_cell_height

#### Description

Sets cell height of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is float.

### hud_frags_cell_width

#### Description

Sets cell width of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is float.

### hud_frags_colors_alpha

#### Description

Sets the opacity of the players colors for the frags hud element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_frags_cols

#### Description

Sets number of columns of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

### hud_frags_extra_spec_info

#### Description

Enables to see what people have rocket launchers, powerups and how much health and armor they have using icons next to the frags. Works while watching MVD demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ALL

#### Values

value | description
0 | No extra information is shown.
1 | Show RL, powerups armor and health.
2 | Show powerups, armor and health. (No RL's)
3 | Show RL, powerups and health. (No armor)
4 | Show RL, powerups and armor. (No health)
5 | Show RL, armor and health. (No powerups)
6 | Show only powerups.
7 | Show only health.
8 | Show only armor.
9 | Show only RL.

### hud_frags_fliptext

#### Description

Toggles alignment of players nick and team name in frags HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Rows aligned to the right side, names and team tags are on the left side of frag counts.
0 | Rows aligned to the left side, names and team tags are on the right side of frag counts.

Use 'frags shownames 1' and/or 'frags showteams 1' to show names and team names of players.

### hud_frags_frame

#### Description

Sets frame visibility and style for frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_frags_frame_color

#### Description

Defines the color of the background of the frags HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_frags_maxname

#### Description

The max number of characters to use for displaying the names in the frags element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 16

Variable is integer.

### hud_frags_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_frags_padtext

#### Description

Toggles text padding in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Adds padding so frags, names, team tags aligned into columns.
0 | No spaces between text fields.

Use 'frags shownames 1' and/or 'frags showteams 1'.

### hud_frags_place

#### Description

Sets relative positioning for frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_frags_pos_x

#### Description

Sets horizontal position of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_frags_pos_y

#### Description

Sets vertical position of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_frags_rows

#### Description

Sets number of rows in frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_frags_show

#### Description

Switches showing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_frags_shownames

#### Description

Draws players names next to frag counts in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Display players' names.
0 | Don't display players' names.

### hud_frags_showself_always

#### Description

Forces the client to show the part of frags table where you are.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Display the part of table where you are.
0 | Display highest frags only.

### hud_frags_showteams

#### Description

Draws players' team tags next to frag counts in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Display players' team tags.
0 | Do not display players' team tags.

### hud_frags_space_x

#### Description

Sets vertical spacing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_frags_space_y

#### Description

Sets horizontal spacing of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_frags_strip

#### Description

Switches stripped version of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_frags_style

#### Description

Sets drawing style of 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Golden brackets around your own frags field.
1 | Arrow pointing to your own frags field.
2 | Red rectangle around your own frags fiels.
3 | Similar to 1.
4 | Sets background color for your own field to 'teamcolor'.
5 | Sets background color for all field to teamcolors enemycolors, all fields 50% transparent, your own field not transparent. Red rectangle around your own field including name and team tag.
6 | Red rectangle around your own field including name and team tag. Background color only for your own field and set to 'teamcolor'.
7 | Background color for whole table 50% transparent red, your own field not transparent.
8 | Red background color only for your own field including name and team tag.

### hud_frags_teamsort

#### Description

Switches sorting by teams in frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_frags_vertical

#### Description

Switches vertical rendering of frags bar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gameclock_align_x

#### Description

Vertical alignment of the gameclock HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is string.

### hud_gameclock_align_y

#### Description

Vertical alignment of the gameclock HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: console

Variable is string.

### hud_gameclock_big

#### Description

Draw the text of the gameclock using big numbers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw the gameclock with big numbers.
0 | Draw the gameclock using the normal charset

### hud_gameclock_blink

#### Description

Blink the colon on the gameclock hud element every second.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Don't blink the colon.
0 | Blink the colon.

### hud_gameclock_countdown

#### Description

Changes the direction of the game clock (gameclock HUD element)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Countdown from match time to zero
0 | Count from 0:00 upwards

### hud_gameclock_frame

#### Description

Opacity of the background of the gameclock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gameclock_frame_color

#### Description

Defines the color of the background of the gameclock HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gameclock_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### hud_gameclock_place

#### Description

Placement of the gameclock HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_gameclock_pos_x

#### Description

Horizontal relative position of the gameclock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_gameclock_pos_y

#### Description

Vertical relative position of the gameclock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_gameclock_scale

#### Description

Size of the gameclock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gameclock_show

#### Description

Visibility of the gameclock HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### hud_gameclock_style

#### Description

Sets the style of the gameclock hud element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Gameclock is white.
1 | Gameclock is red.

### hud_group1_align_x

#### Description

Sets horizontal align of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_group1_align_y

#### Description

Sets vertical align of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_group1_frame

#### Description

Sets frame visibility and style for grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group1_frame_color

#### Description

Defines the color of the background of the group1 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group1_height

#### Description

Sets vertical size of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group1_name

#### Description

Sets name of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group1

Variable is float.

### hud_group1_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group1_picture

#### Description

Sets background picture of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group1_pic_alpha

#### Description

Transparency level of the background image of the group1 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group1_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group1 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group1_place

#### Description

Sets relative positioning for grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group1_pos_x

#### Description

Sets horizontal position of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group1_pos_y

#### Description

Sets vertical position of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group1_show

#### Description

Switches showing of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group1_width

#### Description

Sets horizontal size of grouping object 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group2_align_x

#### Description

Sets horizontal align of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group2_align_y

#### Description

Sets vertical align of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_group2_frame

#### Description

Sets frame visibility and style for grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group2_frame_color

#### Description

Defines the color of the background of the group2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group2_height

#### Description

Sets vertical size of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group2_name

#### Description

Sets name of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group2

Variable is float.

### hud_group2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group2_picture

#### Description

Sets background picture of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group2_pic_alpha

#### Description

Transparency level of the background image of the group2 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group2_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group2 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group2_place

#### Description

Sets relative positioning for grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group2_pos_x

#### Description

Sets horizontal position of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group2_pos_y

#### Description

Sets vertical position of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group2_show

#### Description

Switches showing of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group2_width

#### Description

Sets horizontal size of grouping object 2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group3_align_x

#### Description

Sets horizontal align of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_group3_align_y

#### Description

Sets vertical align of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_group3_frame

#### Description

Sets frame visibility and style for grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group3_frame_color

#### Description

Defines the color of the background of the group3 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group3_height

#### Description

Sets vertical size of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group3_name

#### Description

Sets name of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group3

Variable is float.

### hud_group3_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group3_picture

#### Description

Sets background picture of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group3_pic_alpha

#### Description

Transparency level of the background image of the group3 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group3_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group3 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group3_place

#### Description

Sets relative positioning for grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group3_pos_x

#### Description

Sets horizontal position of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group3_pos_y

#### Description

Sets vertical position of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group3_show

#### Description

Switches showing of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group3_width

#### Description

Sets horizontal size of grouping object 3

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group4_align_x

#### Description

Sets horizontal align of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_group4_align_y

#### Description

Sets vertical align of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group4_frame

#### Description

Sets frame visibility and style for grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group4_frame_color

#### Description

Defines the color of the background of the group4 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group4_height

#### Description

Sets vertical size of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group4_name

#### Description

Sets name of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group4

Variable is float.

### hud_group4_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group4_picture

#### Description

Sets background picture of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group4_pic_alpha

#### Description

Transparency level of the background image of the group4 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group4_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group4 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group4_place

#### Description

Sets relative positioning for grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group4_pos_x

#### Description

Sets horizontal position of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group4_pos_y

#### Description

Sets vertical position of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group4_show

#### Description

Switches showing of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group4_width

#### Description

Sets horizontal size of grouping object 4

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group5_align_x

#### Description

Sets horizontal align of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group5_align_y

#### Description

Sets vertical align of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group5_frame

#### Description

Sets frame visibility and style for grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group5_frame_color

#### Description

Defines the color of the background of the group5 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group5_height

#### Description

Sets vertical size of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group5_name

#### Description

Sets name of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group5

Variable is float.

### hud_group5_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group5_picture

#### Description

Sets background picture of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group5_pic_alpha

#### Description

Transparency level of the background image of the group5 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group5_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group5 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group5_place

#### Description

Sets relative positioning for grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group5_pos_x

#### Description

Sets horizontal position of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group5_pos_y

#### Description

Sets vertical position of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group5_show

#### Description

Switches showing of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group5_width

#### Description

Sets horizontal size of grouping object 5

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group6_align_x

#### Description

Sets horizontal align of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_group6_align_y

#### Description

Sets vertical align of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group6_frame

#### Description

Sets frame visibility and style for grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group6_frame_color

#### Description

Defines the color of the background of the group6 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group6_height

#### Description

Sets vertical size of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group6_name

#### Description

Sets name of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group6

Variable is float.

### hud_group6_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group6_picture

#### Description

Sets background picture of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group6_pic_alpha

#### Description

Transparency level of the background image of the group6 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group6_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group6 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group6_place

#### Description

Sets relative positioning for grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group6_pos_x

#### Description

Sets horizontal position of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group6_pos_y

#### Description

Sets vertical position of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group6_show

#### Description

Switches showing of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group6_width

#### Description

Sets horizontal size of grouping object 6

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group7_align_x

#### Description

Sets horizontal align of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_group7_align_y

#### Description

Sets vertical align of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_group7_frame

#### Description

Sets frame visibility and style for grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group7_frame_color

#### Description

Defines the color of the background of the group7 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group7_height

#### Description

Sets vertical size of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group7_name

#### Description

Sets name of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group7

Variable is float.

### hud_group7_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group7_picture

#### Description

Sets background picture of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group7_pic_alpha

#### Description

Transparency level of the background image of the group7 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group7_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group7 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group7_place

#### Description

Sets relative positioning for grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group7_pos_x

#### Description

Sets horizontal position of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group7_pos_y

#### Description

Sets vertical position of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group7_show

#### Description

Switches showing of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group7_width

#### Description

Sets horizontal size of grouping object 7

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group8_align_x

#### Description

Sets horizontal align of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_group8_align_y

#### Description

Sets vertical align of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_group8_frame

#### Description

Sets frame visibility and style for grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group8_frame_color

#### Description

Defines the color of the background of the group8 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group8_height

#### Description

Sets vertical size of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group8_name

#### Description

Sets name of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group8

Variable is float.

### hud_group8_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group8_picture

#### Description

Sets background picture of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group8_pic_alpha

#### Description

Transparency level of the background image of the group8 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group8_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group8 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group8_place

#### Description

Sets relative positioning for grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group8_pos_x

#### Description

Sets horizontal position of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group8_pos_y

#### Description

Sets vertical position of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group8_show

#### Description

Switches showing of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group8_width

#### Description

Sets horizontal size of grouping object 8

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group9_align_x

#### Description

Sets horizontal align of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_group9_align_y

#### Description

Sets vertical align of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_group9_frame

#### Description

Sets frame visibility and style for grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: .5

Variable is float.

### hud_group9_frame_color

#### Description

Defines the color of the background of the group9 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_group9_height

#### Description

Sets vertical size of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_group9_name

#### Description

Sets name of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: group9

Variable is float.

### hud_group9_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group9_picture

#### Description

Sets background picture of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### hud_group9_pic_alpha

#### Description

Transparency level of the background image of the group9 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_group9_pic_scalemode

#### Description

Changes the style how the background picture is aligned and stretched for the group9 HUD element. Values from 0 to 5 are supported. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_group9_place

#### Description

Sets relative positioning for grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_group9_pos_x

#### Description

Sets horizontal position of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group9_pos_y

#### Description

Sets vertical position of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group9_show

#### Description

Switches showing of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_group9_width

#### Description

Sets horizontal size of grouping object 9

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_gun2_align_x

#### Description

Sets horizontal align of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_gun2_align_y

#### Description

Sets vertical align of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_gun2_frame

#### Description

Sets frame visibility and style for shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun2_frame_color

#### Description

Defines the color of the background of the gun2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_gun2_place

#### Description

Sets relative positioning for shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_gun2_pos_x

#### Description

Sets horizontal position of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun2_pos_y

#### Description

Sets vertical position of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun2_scale

#### Description

Sets size of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun2_show

#### Description

Switches showing of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun2_style

#### Description

Switches graphical style of shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun3_align_x

#### Description

Sets horizontal align of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun3_align_y

#### Description

Sets vertical align of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun3_frame

#### Description

Sets frame visibility and style for super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun3_frame_color

#### Description

Defines the color of the background of the gun3 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun3_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_gun3_place

#### Description

Sets relative positioning for super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun2

Variable is float.

### hud_gun3_pos_x

#### Description

Sets horizontal position of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun3_pos_y

#### Description

Sets vertical position of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun3_scale

#### Description

Sets size of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun3_show

#### Description

Switches showing of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun3_style

#### Description

Switches graphical style of super shotgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun4_align_x

#### Description

Sets horizontal align of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun4_align_y

#### Description

Sets vertical align of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun4_frame

#### Description

Sets frame visibility and style for nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun4_frame_color

#### Description

Defines the color of the background of the gun4 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun4_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_gun4_place

#### Description

Sets relative positioning for nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun3

Variable is float.

### hud_gun4_pos_x

#### Description

Sets horizontal position of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun4_pos_y

#### Description

Sets vertical position of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun4_scale

#### Description

Sets size of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun4_show

#### Description

Switches showing of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun4_style

#### Description

Switches graphical style of nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun5_align_x

#### Description

Sets horizontal align of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun5_align_y

#### Description

Sets vertical align of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun5_frame

#### Description

Sets frame visibility and style for super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun5_frame_color

#### Description

Defines the color of the background of the gun5 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun5_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_gun5_place

#### Description

Sets relative positioning for super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun4

Variable is float.

### hud_gun5_pos_x

#### Description

Sets horizontal position of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun5_pos_y

#### Description

Sets vertical position of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun5_scale

#### Description

Sets size of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun5_show

#### Description

Switches showing of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun5_style

#### Description

Switches graphical style of super nailgun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun6_align_x

#### Description

Sets horizontal align of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun6_align_y

#### Description

Sets vertical align of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun6_frame

#### Description

Sets frame visibility and style for grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun6_frame_color

#### Description

Defines the color of the background of the gun6 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun6_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is integer.

### hud_gun6_place

#### Description

Sets relative positioning for grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun5

Variable is float.

### hud_gun6_pos_x

#### Description

Sets horizontal position of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun6_pos_y

#### Description

Sets vertical position of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun6_scale

#### Description

Sets size of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun6_show

#### Description

Switches showing of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun6_style

#### Description

Switches graphical style of grenade launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun7_align_x

#### Description

Sets horizontal align of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun7_align_y

#### Description

Sets vertical align of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun7_frame

#### Description

Sets frame visibility and style for rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun7_frame_color

#### Description

Defines the color of the background of the gun7 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun7_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

Variable is integer.

### hud_gun7_place

#### Description

Sets relative positioning for rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun6

Variable is float.

### hud_gun7_pos_x

#### Description

Sets horizontal position of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun7_pos_y

#### Description

Sets vertical position of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun7_scale

#### Description

Sets size of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun7_show

#### Description

Switches showing of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun7_style

#### Description

Switches graphical style of rocket launcher icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun8_align_x

#### Description

Sets horizontal align of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_gun8_align_y

#### Description

Sets vertical align of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun8_frame

#### Description

Sets frame visibility and style for lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun8_frame_color

#### Description

Defines the color of the background of the gun8 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun8_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 6

Variable is integer.

### hud_gun8_place

#### Description

Sets relative positioning for lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gun7

Variable is float.

### hud_gun8_pos_x

#### Description

Sets horizontal position of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun8_pos_y

#### Description

Sets vertical position of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun8_scale

#### Description

Sets size of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun8_show

#### Description

Switches showing of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun8_style

#### Description

Switches graphical style of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun8_wide

#### Description

Switches wide and short of version of lightning gun icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_align_x

#### Description

Sets horizontal align of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_gun_align_y

#### Description

Sets vertical align of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_gun_frame

#### Description

Sets frame visibility and style for current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_frame_color

#### Description

Defines the color of the background of the gun HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_gun_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_gun_place

#### Description

Sets relative positioning for current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_gun_pos_x

#### Description

Sets horizontal position of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_pos_y

#### Description

Sets vertical position of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_scale

#### Description

Sets size of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_gun_show

#### Description

Switches showing of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_style

#### Description

Switches graphical style of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_gun_wide

#### Description

Switches between wide and short version of current weapon icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_healthdamage_align

#### Description

Sets healthdamage HUD element alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is string.
horizontal: left, center, right, before, after; vertical: top, center, bottom, console, before, after

See HUD manual for more info.

### hud_healthdamage_align_x

#### Description

Sets healthdamage HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_healthdamage_align_y

#### Description

Sets healthdamage HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_healthdamage_digits

#### Description

Sets highest possible number of digits displayed in HUD element healthdamage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_healthdamage_duration

#### Description

Sets how long healthdamage should be visible after last damage to health has been done.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.
Float number

### hud_healthdamage_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_healthdamage_frame_color

#### Description

Defines the color of the background of the healthdamage HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_healthdamage_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_healthdamage_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: health

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_healthdamage_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_healthdamage_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_healthdamage_scale

#### Description

Sets overall size of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
Use positive floating point numbers.

### hud_healthdamage_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_healthdamage_style

#### Description

Toggles between different numbers styles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | small font, gfxwad
0 | large font, texture

### hud_health_align

#### Description

Sets align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is float.

### hud_health_align_x

#### Description

Sets horizontal align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_health_align_y

#### Description

Sets vertical align of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_health_digits

#### Description

Sets number of digits for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### hud_health_frame

#### Description

Sets frame visibility and style for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_health_frame_color

#### Description

Defines the color of the background of the health HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_health_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_health_place

#### Description

Sets relative positioning for health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: face

Variable is float.

### hud_health_pos_x

#### Description

Sets horizontal position of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_health_pos_y

#### Description

Sets vertical position of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_health_scale

#### Description

Sets size of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_health_show

#### Description

Switches showing of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_health_style

#### Description

Switches graphical style of health level

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo1_align_x

#### Description

Sets horizontal align of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_iammo1_align_y

#### Description

Sets vertical align of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_iammo1_frame

#### Description

Sets frame visibility and style for shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo1_frame_color

#### Description

Defines the color of the background of the iammo1 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iammo1_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_iammo1_place

#### Description

Sets relative positioning for shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_iammo1_pos_x

#### Description

Sets horizontal position of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo1_pos_y

#### Description

Sets vertical position of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo1_scale

#### Description

Sets size of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo1_show

#### Description

Switches showing of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo1_style

#### Description

Switches graphical style of shells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### hud_iammo2_align_x

#### Description

Sets horizontal align of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_iammo2_align_y

#### Description

Sets vertical align of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_iammo2_frame

#### Description

Sets frame visibility and style for nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo2_frame_color

#### Description

Defines the color of the background of the iammo2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iammo2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_iammo2_place

#### Description

Sets relative positioning for nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: iammo1

Variable is float.

### hud_iammo2_pos_x

#### Description

Sets horizontal position of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo2_pos_y

#### Description

Sets vertical position of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo2_scale

#### Description

Sets size of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo2_show

#### Description

Switches showing of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo2_style

#### Description

Switches graphical style of nails icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### hud_iammo3_align_x

#### Description

Sets horizontal align of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_iammo3_align_y

#### Description

Sets vertical align of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_iammo3_frame

#### Description

Sets frame visibility and style for rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo3_frame_color

#### Description

Defines the color of the background of the iammo3 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iammo3_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_iammo3_place

#### Description

Sets relative positioning for rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: iammo2

Variable is float.

### hud_iammo3_pos_x

#### Description

Sets horizontal position of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo3_pos_y

#### Description

Sets vertical position of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo3_scale

#### Description

Sets size of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo3_show

#### Description

Switches showing of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo3_style

#### Description

Switches graphical style of rockets icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### hud_iammo4_align_x

#### Description

Sets horizontal align of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_iammo4_align_y

#### Description

Sets vertical align of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_iammo4_frame

#### Description

Sets frame visibility and style for cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo4_frame_color

#### Description

Defines the color of the background of the iammo4 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iammo4_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_iammo4_place

#### Description

Sets relative positioning for cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: iammo3

Variable is float.

### hud_iammo4_pos_x

#### Description

Sets horizontal position of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo4_pos_y

#### Description

Sets vertical position of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo4_scale

#### Description

Sets size of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo4_show

#### Description

Switches showing of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo4_style

#### Description

Switches graphical style of cells icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### hud_iammo_align_x

#### Description

Sets horizontal align of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is float.

### hud_iammo_align_y

#### Description

Sets vertical align of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_iammo_frame

#### Description

Sets frame visibility and style for current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo_frame_color

#### Description

Defines the color of the background of the iammo HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iammo_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_iammo_place

#### Description

Sets relative positioning for current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ammo

Variable is float.

### hud_iammo_pos_x

#### Description

Sets horizontal position of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo_pos_y

#### Description

Sets vertical position of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iammo_scale

#### Description

Sets size of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo_show

#### Description

Switches showing of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iammo_style

#### Description

Switches graphical style of current ammo icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iarmor_align_x

#### Description

Sets horizontal align of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is float.

### hud_iarmor_align_y

#### Description

Sets vertical align of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_iarmor_frame

#### Description

Sets frame visibility and style for armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iarmor_frame_color

#### Description

Defines the color of the background of the iarmor HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_iarmor_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_iarmor_place

#### Description

Sets relative positioning for armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: armor

Variable is float.

### hud_iarmor_pos_x

#### Description

Sets horizontal position of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iarmor_pos_y

#### Description

Sets vertical position of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_iarmor_scale

#### Description

Sets size of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iarmor_show

#### Description

Switches showing of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_iarmor_style

#### Description

Switches graphical style of armor icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key1_align_x

#### Description

Sets horizontal align of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_key1_align_y

#### Description

Sets vertical align of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_key1_frame

#### Description

Sets frame visibility and style for silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key1_frame_color

#### Description

Defines the color of the background of the key1 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_key1_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_key1_place

#### Description

Sets relative positioning for silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_key1_pos_x

#### Description

Sets horizontal position of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key1_pos_y

#### Description

Sets vertical position of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 64

Variable is float.

### hud_key1_scale

#### Description

Sets size of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_key1_show

#### Description

Switches showing of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_key1_style

#### Description

Switches graphical style of silver key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key2_align_x

#### Description

Sets horizontal align of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_key2_align_y

#### Description

Sets vertical align of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_key2_frame

#### Description

Sets frame visibility and style for gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key2_frame_color

#### Description

Defines the color of the background of the key2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_key2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_key2_place

#### Description

Sets relative positioning for gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: key1

Variable is float.

### hud_key2_pos_x

#### Description

Sets horizontal position of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key2_pos_y

#### Description

Sets vertical position of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_key2_scale

#### Description

Sets size of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_key2_show

#### Description

Switches showing of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_key2_style

#### Description

Switches graphical style of gold key

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mouserate_align_x

#### Description

Vertical alignment of the mouserate HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.

### hud_mouserate_align_y

#### Description

Vertical alignment of the mouserate HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.

### hud_mouserate_frame

#### Description

Opacity of the background of the mouserate HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mouserate_frame_color

#### Description

Defines the color of the background of the mouserate HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_mouserate_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 9

Variable is integer.

### hud_mouserate_place

#### Description

Placement of the mouserate HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is string.

### hud_mouserate_pos_x

#### Description

Horizontal relative position of the mouserate HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_mouserate_pos_y

#### Description

Vertical relative position of the mouserate HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_mouserate_show

#### Description

Visibility of the mouserate HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_mp3_time_align_x

#### Description

Sets mp3_time HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_mp3_time_align_y

#### Description

Sets mp3_time HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_mp3_time_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_mp3_time_frame_color

#### Description

Defines the color of the background of the mp3_time HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_mp3_time_on_scoreboard

#### Description

Toggles whether HUD element 'mp3_time' will be drawn even if scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draws mp3_time HUD element even if scoreboard is ON.
0 | Hides mp3_time HUD element when scoreboard is ON.

### hud_mp3_time_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_mp3_time_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_mp3_time_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mp3_time_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mp3_time_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_mp3_time_style

#### Description

Changes displayed informations for 'mp3_time' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Played time / total time of track, golden brackets around.
1 | Remaining time / total time of track, golden brackets around.
2 | Remaining time only, golden brackets around.
3 | Played time only, golden brackets around.
4 | Same as 0, without golden brackets.
5 | Same as 1, without golden brackets.
6 | Same as 2, without golden brackets.
7 | Same as 3, without golden brackets.

Note that display of seconds is disabled in ruleset smackdown.

### hud_mp3_title_align_x

#### Description

Sets mp3_title HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: right

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_mp3_title_align_y

#### Description

Sets mp3_title HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_mp3_title_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_mp3_title_frame_color

#### Description

Defines the color of the background of the mp3_title HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_mp3_title_height

#### Description

Sets height of 'mp3_title' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.
8, 16, 24, 32 - one, two, three, four rows of text usually.

### hud_mp3_title_on_scoreboard

#### Description

Toggles whether HUD element 'mp3_title' will be drawn even if scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draws mp3_title HUD element even if scoreboard is ON.
0 | Hides mp3_title HUD element when scoreboard is ON.

### hud_mp3_title_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_mp3_title_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_mp3_title_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mp3_title_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_mp3_title_scroll

#### Description

Toggles scrolling of mp3_title text.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Scrolling enabled.
0 | Scrolling disabled.

### hud_mp3_title_scroll_delay

#### Description

Sets speed of text scrolling in mp3_title HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

Variable is float.
The lower the value is the faster scrolling you get.

Use 'hud mp3_title scroll 1'.

### hud_mp3_title_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_mp3_title_style

#### Description

Sets format of text of 'mp3_title' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

#### Values

value | description
0 | Shows just winamp song information.
1 | Same as 0 but shows 'Playing: ' before the song information.
2 | Same as 0 but shows 'Playing' in golden brackets before the song information.

### hud_mp3_title_width

#### Description

Sets width of mp3_title HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 512

Variable is integer.
8 = one char with standard console settings.

### hud_mp3_title_wordwrap

#### Description

Toggles word wrapping inside mp3_title element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Wrap words if more lines are allowed.
0 | Don't wrap words, scroll if necessary and allowed.

See 'mp3_title height'.

### hud_netgraph_align_x

#### Description

Sets horizontal align of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_netgraph_align_y

#### Description

Sets vertical align of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_netgraph_alpha

#### Description

Sets transparency level of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_netgraph_frame

#### Description

Sets frame visibility and style for everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_frame_color

#### Description

Defines the color of the background of the netgraph HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_netgraph_full

#### Description

When turned on, netgraph is more detailed this way, but looks ugly; in GL this can be fixed with a lower alpha value like "0.4"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_height

#### Description

Sets vertical size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is float.

### hud_netgraph_inframes

#### Description

setting this to "1" lets you measure your latency in an alternate way every level of netgraph will mean one frame of delay, between sending it to server and getting answer. On local/lan server you'll always get one frame of delay, even with low FPS.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_lostscale

#### Description

lets you cut down those red, yellow, blue and gray bars, which are always full-height; possible values are the range from 0 to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_netgraph_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_netgraph_place

#### Description

Sets relative positioning for everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_netgraph_ploss

#### Description

print packet loss or not everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_netgraph_pos_x

#### Description

Sets horizontal position of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_pos_y

#### Description

Sets vertical position of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_scale

#### Description

Sets size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 256

Variable is float.

### hud_netgraph_show

#### Description

Switches showing of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_swap_x

#### Description

reverse horizontally, like for placing at left edge of the screen

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_swap_y

#### Description

reverse vertically, like for top edge

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_netgraph_width

#### Description

Sets horizontal size of everything about net

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 256

Variable is float.

### hud_net_align_x

#### Description

Sets horizontal align of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_net_align_y

#### Description

Sets vertical align of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_net_frame

#### Description

Sets frame visibility and style for net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.2

Variable is float.

### hud_net_frame_color

#### Description

Defines the color of the background of the net HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_net_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 7

Variable is integer.

### hud_net_period

#### Description

Sets period for updating net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_net_place

#### Description

Sets relative positioning for net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_net_pos_x

#### Description

Sets horizontal position of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_net_pos_y

#### Description

Sets vertical position of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_net_show

#### Description

Switches showing of net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_offscreen

#### Description

When scr_newhud is 1 this let's you set whetever HUD elements should be allowed to be partially off screen and still be visible. Default behaviour is that they dissapear if even a part is off screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Allow HUD elements off screen (can be partially off screen)
0 | Don't allow HUD elements off screen (they dissapear)

This only works in GL.

### hud_pent_align_x

#### Description

Sets horizontal align of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_pent_align_y

#### Description

Sets vertical align of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_pent_frame

#### Description

Sets frame visibility and style for pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_pent_frame_color

#### Description

Defines the color of the background of the pent HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_pent_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_pent_place

#### Description

Sets relative positioning for pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ring

Variable is float.

### hud_pent_pos_x

#### Description

Sets horizontal position of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_pent_pos_y

#### Description

Sets vertical position of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_pent_scale

#### Description

Sets size of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_pent_show

#### Description

Switches showing of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_pent_style

#### Description

Switches graphical style of pentagram icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_align_x

#### Description

Sets horizontal align of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_ping_align_y

#### Description

Sets vertical align of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_ping_blink

#### Description

Enable yellow blinking dot, which shows when your ping is recalculated

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ping_frame

#### Description

Sets frame visibility and style for small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_frame_color

#### Description

Defines the color of the background of the ping HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ping_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 9

Variable is integer.

### hud_ping_period

#### Description

period of time between updates (minimum value is your frame time)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ping_place

#### Description

Sets relative positioning for small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: screen

Variable is float.

### hud_ping_pos_x

#### Description

Sets horizontal position of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_pos_y

#### Description

Sets vertical position of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_show

#### Description

Switches showing of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_show_dev

#### Description

Switches showing of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_show_max

#### Description

Switches showing of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_show_min

#### Description

Switches showing of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ping_show_pl

#### Description

Switches showing of small net statistics

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_planmode

#### Description

Toggles special hud-editing mode where all hud elements are being displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Plan-mode on.
0 | Plan-mode off.

### hud_quad_align_x

#### Description

Sets horizontal align of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_quad_align_y

#### Description

Sets vertical align of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_quad_frame

#### Description

Sets frame visibility and style for quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_quad_frame_color

#### Description

Defines the color of the background of the quad HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_quad_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5

Variable is integer.

### hud_quad_place

#### Description

Sets relative positioning for quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: suit

Variable is float.

### hud_quad_pos_x

#### Description

Sets horizontal position of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_quad_pos_y

#### Description

Sets vertical position of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_quad_scale

#### Description

Sets size of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_quad_show

#### Description

Switches showing of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_quad_style

#### Description

Switches graphical style of quad icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_radar_align_x

#### Description

Vertical alignment of the radar HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.

### hud_radar_align_y

#### Description

Vertical alignment of the radar HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.

### hud_radar_autosize

#### Description

Automatically size the Radar hud item to show the radar picture at the resolution it was created for.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | The hud item is sized after the size of the radar picture.
0 | The width and height values decides how big the radar picture is.

### hud_radar_fade_players

#### Description

Fade players (make them more transparent) as they lose health/armor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Players color fades as they get weaker.
0 | Players stay a solid color no matter what health/armor.

### hud_radar_frame

#### Description

Opacity of the background of the radar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_radar_frame_color

#### Description

Defines the color of the background of the radar HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_radar_height

#### Description

Sets the height of the radar hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 25%

Variable is integer.

Note that if hud_radar_autosize is set, this value will be ignored.

### hud_radar_highlight

#### Description

Show a highlight around the currently tracked player on the radar or not.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Don't highlight the tracked player.
1 | Only highlight the name of the player (show_names needs to be on)
2 | Draw a variably sized circle outline around the tracked player.
3 | Draw a fixed sized circle outline around the tracked player.
4 | Draw a variably sized circle around the tracked player.
5 | Draw a variably sized circle around the tracked player.
6 | Draw a line from the bottom center of the radar to the tracked player.
7 | Draw a line from the center of the radar to the tracked player.
8 | Draw a line from the top center of the radar to the tracked player.
9 | Draw a line from each corner of the radar to the tracked player.

Change the color of the higlight using the hud_radar_highlight_color variable.

### hud_radar_highlight_color

#### Description

Sets the RGBA color of the highlight of the tracked player for the radar HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: yellow

Variable is string.
Example: "255 255 255 150"

### hud_radar_itemfilter

#### Description

Decides what items should be shown on the radar. Such as ammo, health packs, backpacks and powerups

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: backpack quad pent armor mega

Variable is string.
Valid values: backpack,health,armor,rockets,nails,cells,shells,quad,pent,ring,suit,mega

Any character/whitespace can be used as a delimiter. Make sure you enter the value between quotes if you use whitespaces.

### hud_radar_onlytp

#### Description

Decides whetever the radar hud item should be shown only when in teamplay mode, or demo playback.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Always show.
1 | Only show when teamplay is on.
2 | Only show when in demo playback.
3 | Only show when teamplay is on and in demo playback.

The radar will NOT be visible when playing as a normal player no matter what you set this to, this only applies to spectators/during demo playback.

### hud_radar_opacity

#### Description

The opacity of the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

Variable is float.
0 is fully transparent and 1 is opague.

### hud_radar_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_radar_otherfilter

#### Description

Decides what "other" things, such as projectiles (rockets, nails, shaft beam), gibs, and explosions, that should be shown on the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: projectiles gibs explosions shot

Variable is string.
Valid values: projectiles, nails, rockets, shaft, gibs, explosions

Any character/whitespace can be used as a delimiter. Make sure you enter the value between quotes if you use whitespaces.

### hud_radar_place

#### Description

Placement of the radar HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_radar_player_size

#### Description

The radius in of the players on the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is float.

If show_height is turned on, then this ofcourse depends on what height the player is located at.

### hud_radar_pos_x

#### Description

Horizontal relative position of the radar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_radar_pos_y

#### Description

Vertical relative position of the radar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_radar_show

#### Description

Visibility of the radar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_radar_show_height

#### Description

Should the players become bigger as they move to higher points on the map or not?

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Players change size depending on their altitude on the level.
0 | Players always stay the same size on the radar.

### hud_radar_show_hold

#### Description

This will show the name of all the important items on the map (RL, LG, GL, SNG, Quad, Pent, Ring, Suit, Mega, Armors). A circle is drawn around the items, the team who has the highest weight inside this area is considered to be holding that particular item. See the teamholdinfo hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Show the item names and circle on the radar.
0 | Don't show the items and circles on the radar.

It is not recommended to have this visible at all times. Instead it's meant for a quick glance to know which item is named what when using the Teamholdbarinfo hud item. For instance if the map has two YA's, one is named YA and the other YA2. Use this feature to see which is which.

### hud_radar_show_names

#### Description

Show the names of the players on the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_radar_show_powerups

#### Description

Highlight players with powerups on the radar hud item with a colored circle around them, depending on what type of powerup.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Highlight players with powerups.
0 | Don't highlight players with powerups.

### hud_radar_show_stats

#### Description

Decides what type of stats should be shown on the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description

The team stats are calculated depending on how strong a player is. A strong player with a good weapon raises the weight for a certain area more than a weak one. The team with the highest weight for a certain area is considered to hold that area.

### hud_radar_weaponfilter

#### Description

Decides which weapons that should be shown on the radar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: gl rl lg

Variable is string.
Valid values: ssg, ng, sng, rl, gl, lg

Any character/whitespace can be used as a delimiter. Make sure you enter the value between quotes if you use whitespaces.

### hud_radar_width

#### Description

The width of the radar hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30%

Variable is integer.

Note that if hud_radar_autosize is set, this value will be ignored.

### hud_ring_align_x

#### Description

Sets horizontal align of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_ring_align_y

#### Description

Sets vertical align of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_ring_frame

#### Description

Sets frame visibility and style for ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ring_frame_color

#### Description

Defines the color of the background of the ring HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_ring_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_ring_place

#### Description

Sets relative positioning for ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: key2

Variable is float.

### hud_ring_pos_x

#### Description

Sets horizontal position of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ring_pos_y

#### Description

Sets vertical position of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_ring_scale

#### Description

Sets size of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ring_show

#### Description

Switches showing of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_ring_style

#### Description

Switches graphical style of ring icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil1_align_x

#### Description

Sets horizontal align of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_sigil1_align_y

#### Description

Sets vertical align of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_sigil1_frame

#### Description

Sets frame visibility and style for sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil1_frame_color

#### Description

Defines the color of the background of the sigil1 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_sigil1_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_sigil1_place

#### Description

Sets relative positioning for sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is float.

### hud_sigil1_pos_x

#### Description

Sets horizontal position of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil1_pos_y

#### Description

Sets vertical position of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil1_scale

#### Description

Sets size of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_sigil1_show

#### Description

Switches showing of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil1_style

#### Description

Switches graphical style of sigil 1 icon (rune)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil2_align_x

#### Description

Sets horizontal align of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_sigil2_align_y

#### Description

Sets vertical align of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_sigil2_frame

#### Description

Sets frame visibility and style for sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil2_frame_color

#### Description

Defines the color of the background of the sigil2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_sigil2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### hud_sigil2_place

#### Description

Sets relative positioning for sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: sigil1

Variable is float.

### hud_sigil2_pos_x

#### Description

Sets horizontal position of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil2_pos_y

#### Description

Sets vertical position of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil2_scale

#### Description

Sets size of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_sigil2_show

#### Description

Switches showing of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil2_style

#### Description

Switches graphical style of sigil 2 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil3_align_x

#### Description

Sets horizontal align of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_sigil3_align_y

#### Description

Sets vertical align of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_sigil3_frame

#### Description

Sets frame visibility and style for sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil3_frame_color

#### Description

Defines the color of the background of the sigil3 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_sigil3_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

### hud_sigil3_place

#### Description

Sets relative positioning for sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: sigil2

Variable is float.

### hud_sigil3_pos_x

#### Description

Sets horizontal position of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil3_pos_y

#### Description

Sets vertical position of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil3_scale

#### Description

Sets size of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_sigil3_show

#### Description

Switches showing of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil3_style

#### Description

Switches graphical style of sigil 3 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil4_align_x

#### Description

Sets horizontal align of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_sigil4_align_y

#### Description

Sets vertical align of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_sigil4_frame

#### Description

Sets frame visibility and style for sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil4_frame_color

#### Description

Defines the color of the background of the sigil4 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_sigil4_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is integer.

### hud_sigil4_place

#### Description

Sets relative positioning for sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: sigil3

Variable is float.

### hud_sigil4_pos_x

#### Description

Sets horizontal position of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil4_pos_y

#### Description

Sets vertical position of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil4_scale

#### Description

Sets size of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_sigil4_show

#### Description

Switches showing of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_sigil4_style

#### Description

Switches graphical style of sigil 4 icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_speed2_align_x

#### Description

Vertical alignment of the speed2 HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is string.

### hud_speed2_align_y

#### Description

Vertical alignment of the speed2 HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.

### hud_speed2_color_fast

#### Description

Sets the color of the speed2 hud item when the speed is above the wrap speed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 72

Variable is integer.

Use the quake pallete colors 0-255. See hud_radar2_wrapspeed also.

### hud_speed2_color_fastest

#### Description

Sets the color of the speed2 hud item when the speed is above 2x wrap speed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 216

Variable is integer.

Use the quake pallete colors 0-255. See hud_radar2_wrapspeed also.

### hud_speed2_color_insane

#### Description

Sets the color of the speed2 hud item when the speed is above 3x wrap speed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 229

Variable is integer.

Use the quake pallete colors 0-255. See hud_radar2_wrapspeed also.

### hud_speed2_color_normal

#### Description

Sets the color of the speed2 hud item when the speed is between 1 and the wrap speed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is integer.

Use the quake pallete colors 0-255. See hud_radar2_wrapspeed also.

### hud_speed2_color_stopped

#### Description

Sets the color of the speed2 hud item when the speed is 0. Default is green.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 52

Variable is integer.

Use the quake pallete colors 0-255.

### hud_speed2_frame

#### Description

Opacity of the background of the speed2 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_speed2_frame_color

#### Description

Defines the color of the background of the speed2 HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_speed2_opacity

#### Description

Sets the opacity of the speed2 hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.
0 is fully transparent, and 1 is opague.

### hud_speed2_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 7

Variable is integer.

### hud_speed2_orientation

#### Description

The orientation of the speed2 hud item. This can be set to, up, down, left and right. That is, the direction that the hud item will be pointing in.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Point upwards.
1 | Point downwards.
2 | Point to the right.
3 | Point to the left.

### hud_speed2_place

#### Description

Placement of the speed2 HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_speed2_pos_x

#### Description

Horizontal relative position of the speed2 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_speed2_pos_y

#### Description

Vertical relative position of the speed2 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_speed2_radius

#### Description

Sets the radius of the half circle. The width and height is based on this.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 50.0

Variable is float.
The radius of the half circle.

### hud_speed2_show

#### Description

Visibility of the speed2 HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_speed2_wrapspeed

#### Description

Sets the speed when the speed needle will reset to the original position, and the next color is shown (to indicate faster speed).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 500

Variable is integer.
The wrap speed.

### hud_speed2_xyz

#### Description

Base the speed calculation on up/down movement also.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Use X/Y/Z movement to calculate the speed. (movement up/down included).
0 | Only use the X/Y movement to calculate the speed.

### hud_speed_align_x

#### Description

Sets horizontal align of your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is float.

### hud_speed_align_y

#### Description

Sets vertical align of your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is float.

### hud_speed_color_fast

#### Description

Sets the color of the speed hud item when the player is moving at a "fast" speed (above 500).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 72

Variable is integer.

Use the quake pallete colors to set this (0-255).

### hud_speed_color_fastest

#### Description

Sets the color of the speed hud item when the player is moving at a really "fast" speed (above 1000).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 216

Variable is integer.

Use the quake pallete colors to set this (0-255).

### hud_speed_color_insane

#### Description

Sets the color of the speed hud item when the player is moving at a crazy speed (above 1500... I think).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 229

Variable is integer.

Use the quake pallete colors to set this (0-255).

### hud_speed_color_normal

#### Description

Sets the color of the speed hud item when the player is moving at a "normal" speed (below 500).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is integer.

Use the quake pallete colors to set this (0-255).

### hud_speed_color_stopped

#### Description

The color that the fill part of the speed hud item has when the player isn't moving. Default is green.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 52

Variable is integer.

Use the quake pallete colors to set this (0-255).

### hud_speed_frame

#### Description

Sets frame visibility and style for your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_speed_frame_color

#### Description

Defines the color of the background of the speed HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_speed_height

#### Description

Sets the height of the speed hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 15

Variable is integer.

### hud_speed_opacity

#### Description

Sets the opacity of the speed hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.
A value of 0 gives full transparency, 1 is opague.

### hud_speed_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 7

Variable is integer.

### hud_speed_place

#### Description

Sets relative positioning for your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is float.

### hud_speed_pos_x

#### Description

Sets horizontal position of your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_speed_pos_y

#### Description

Sets vertical position of your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -5

Variable is float.

### hud_speed_show

#### Description

Switches showing of your current speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_speed_text_align

#### Description

Sets how the text on the speed hud item should be aligned.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Don't draw the text at all.
1 | Draw the text left aligned (or at the top when in vertical mode).
2 | Draw the text center aligned.
3 | Draw the text left aligned (or at the bottom when in vertical mode).

### hud_speed_tick_spacing

#### Description

Sets the "tick spacing" for the speed hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.2

Variable is float.

### hud_speed_vertical

#### Description

Sets whetever the speed hud item should be drawn vertically or horizontally.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw speed vertically.
0 | Draw speed horizontally.

Also see hud_speed_vertical_text to choose if the text should be drawn vertically also.

### hud_speed_vertical_text

#### Description

Sets whetever the text on the speed hud item should be drawn vertically when the hud item itself is being drawn vertically.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw the text vertically when the speed hud item is being drawn vertically.
0 | Draw the text horizontally.

This has no effect if the hud item isn't drawn vertically.

### hud_speed_width

#### Description

Sets the width of the speed hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 160

Variable is integer.

### hud_speed_xyz

#### Description

Sets This toggles whether the speed is measured over the XY axis (xyz 0) or the XYZ axis (xyz 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_suit_align_x

#### Description

Sets horizontal align of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is float.

### hud_suit_align_y

#### Description

Sets vertical align of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: after

Variable is float.

### hud_suit_frame

#### Description

Sets frame visibility and style for suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_suit_frame_color

#### Description

Defines the color of the background of the suit HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_suit_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is integer.

### hud_suit_place

#### Description

Sets relative positioning for suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: pent

Variable is float.

### hud_suit_pos_x

#### Description

Sets horizontal position of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_suit_pos_y

#### Description

Sets vertical position of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_suit_scale

#### Description

Sets size of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_suit_show

#### Description

Switches showing of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### hud_suit_style

#### Description

Switches graphical style of suit icon

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_teamfrags_align_x

#### Description

Sets teamfrags HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_teamfrags_align_y

#### Description

Sets teamfrags HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_teamfrags_bignum

#### Description

Changes the scale of the fragcount number.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
If this is 0 the fragcount will use the normal charset. If it's above 0 it will scale a big number character instead.

### hud_teamfrags_cell_height

#### Description

Sets cell height for cells in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.
Use positive values.

### hud_teamfrags_cell_width

#### Description

Sets cell width for cells in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is integer.
Use positive values.

### hud_teamfrags_colors_alpha

#### Description

Sets the opacity of the teams colors for the teamfrags hud element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1.0

Variable is float.

### hud_teamfrags_cols

#### Description

Sets number of columns used to draw table in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.
Use positive values.

### hud_teamfrags_extra_spec_info

#### Description

Enables to see what people have rocket launchers, powerups and how much health and armor they have using icons next to the frags. Works while watching MVD demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | No extra information is shown.
1 | Show RL, powerups armor and health.
2 | Show RL, powerups armor and health. Show weapons as text instead of a picture.
3 | Show powerups, armor and health. (No RL's)
4 | Show RL, powerups and health. (No armor)
5 | Show RL, powerups and health. (No armor) Show weapons as text instead of a picture.
6 | Show RL, powerups and armor. (No health)
7 | Show RL, powerups and armor. (No health) Show weapons as text instead of a picture.
8 | Show RL, armor and health. (No powerups)
9 | Show RL, armor and health. (No powerups) Show weapons as text instead of a picture.
10 | Show only powerups.
11 | Show only health.
12 | Show only armor.
13 | Show only RL.
14 | Show only RL. Show weapons as text instead of a picture.

### hud_teamfrags_fliptext

#### Description

Toggles alignment of team names in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Rows aligned to the right side, team tags are on the left side of frag counts.
0 | Rows aligned to the left side, team tags are on the right side of frag counts.

Use 'teamfrags shownames 1' to show names of teams.

### hud_teamfrags_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_teamfrags_frame_color

#### Description

Defines the color of the background of the teamfrags HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_teamfrags_maxname

#### Description

The max number of characters to use for displaying the teamnames in the teamfrags element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 16

Variable is integer.

### hud_teamfrags_onlytp

#### Description

Decides whetever the teamfrags hud item should be shown only when in teamplay mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Only show during teamplay.
0 | Show always.

### hud_teamfrags_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamfrags_padtext

#### Description

Toggles text padding in 'frags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Adds padding so frags and team tags are aligned into columns.
0 | No spaces between text fields.

Use 'teamfrags shownames 1'.

### hud_teamfrags_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: ibar

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_teamfrags_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_teamfrags_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_teamfrags_rows

#### Description

Sets number of rows used to draw table in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.
Use positive values.

### hud_teamfrags_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

### hud_teamfrags_shownames

#### Description

Draws players' team tags next to frag counts in 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Display team tags.
0 | Do not display team tags.

### hud_teamfrags_space_x

#### Description

Sets horizontal spacing for teamfrags fields.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.
Use zero or positive values.

### hud_teamfrags_space_y

#### Description

Sets vertical spacing for teamfrags fields.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.
Use zero or positive values.

### hud_teamfrags_strip

#### Description

Toggles stripped formatting of teamfrags fields.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Stripped format.
0 | Standard display.

### hud_teamfrags_style

#### Description

Sets drawing style of 'teamfrags' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Golden brackets around field with your team frags.
1 | Arrow pointing to your own team frags field.
2 | Red rectangle around your own team frags field.
3 | Similar to 1.
4 | Sets background color for your own team field to 'teamcolor'.
5 | Sets background color for fields to teamcolors and enemycolors. Red rectangle around your own field including name and team tag.
6 | Red rectangle around your own team field including team tag. Background color only for your own team field and set to 'teamcolor'.
7 | Background color for whole table 50% transparent red, your own team field not transparent.
8 | Red background color only for your own team field including team tag.

### hud_teamfrags_vertical

#### Description

Toggles vertical ordering of teamfrags fields.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Order cells vertically first.
0 | Order cells horizontally first.

### hud_teamholdbar_align_x

#### Description

Vertical alignment of the teamholdbar HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.

### hud_teamholdbar_align_y

#### Description

Vertical alignment of the teamholdbar HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.

### hud_teamholdbar_frame

#### Description

Opacity of the background of the teamholdbar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_teamholdbar_frame_color

#### Description

Defines the color of the background of the teamholdbar HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_teamholdbar_height

#### Description

Height of the teamholdbar HUD element in pixels. Some elements support relative heights, e.g. 25%

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### hud_teamholdbar_onlytp

#### Description

Decides whetever the teamholdbar hud item should be shown only when in teamplay mode, or demo playback.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Always show.
1 | Only show when teamplay is on.
2 | Only show when in demo playback.
3 | Only show when teamplay is on and in demo playback.

### hud_teamholdbar_opacity

#### Description

Sets the opacity of the background for the teamholdbar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.

### hud_teamholdbar_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdbar_place

#### Description

Placement of the teamholdbar HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_teamholdbar_pos_x

#### Description

Horizontal relative position of the teamholdbar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdbar_pos_y

#### Description

Vertical relative position of the teamholdbar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdbar_show

#### Description

Visibility of the teamholdbar HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_teamholdbar_show_text

#### Description

Shows the percent for each team on the teamholdbar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Show the percentages for the teams.
0 | Don't show the percentages.

vertical_text can be used when vertical mode is set to draw the text vertically also.

### hud_teamholdbar_vertical

#### Description

Draw the teamholdbar vertically.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw vertically.
0 | Draw horizontally.

Use vertical_text to make the text vertical also.

### hud_teamholdbar_vertical_text

#### Description

Draw the text vertically for the teamholdbar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Draw the text vertically.
0 | Draw the text horizontally.

### hud_teamholdbar_width

#### Description

Width of the teamholdbar HUD element in pixels. Some elements support relative width, e.g. 25%

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 200

Variable is integer.

### hud_teamholdinfo_align_x

#### Description

Vertical alignment of the teamholdinfo HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: left

Variable is string.

### hud_teamholdinfo_align_y

#### Description

Vertical alignment of the teamholdinfo HUD element. See the HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: bottom

Variable is string.

### hud_teamholdinfo_frame

#### Description

Opacity of the background of the teamholdinfo HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_teamholdinfo_frame_color

#### Description

Defines the color of the background of the teamholdinfo HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_teamholdinfo_height

#### Description

Height of the teamholdinfo HUD element in pixels. Some elements support relative heights, e.g. 25%

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### hud_teamholdinfo_itemfilter

#### Description

Decides what items should be shown in the list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: quad ra ya ga mega pent rl quad

Variable is string.
Valid values: RL, LG, GL, SNG, Quad, Pent, Ring, Suit, Mega, RA, YA, GA

Any character/whitespace can be used as a delimiter. Make sure you enter the value between quotes if you use whitespaces.

### hud_teamholdinfo_onlytp

#### Description

Decides whetever the teamholdinfo hud item should be shown only when in teamplay mode, or demo playback.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Always show.
1 | Only show when teamplay is on.
2 | Only show when in demo playback.
3 | Only show when teamplay is on and in demo playback.

### hud_teamholdinfo_opacity

#### Description

Sets the background opacity for the teamholdinfo hud element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.8

Variable is float.

### hud_teamholdinfo_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdinfo_place

#### Description

Placement of the teamholdinfo HUD element. HUD elements can be place into various screen areas or other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: top

Variable is string.

### hud_teamholdinfo_pos_x

#### Description

Horizontal relative position of the teamholdinfo HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdinfo_pos_y

#### Description

Vertical relative position of the teamholdinfo HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### hud_teamholdinfo_show

#### Description

Visibility of the teamholdinfo HUD element

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### hud_teamholdinfo_style

#### Description

The style of the teamholdinfo hud item.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Show the name of the team holding the items next to it.
1 | Show a teamholdbar for each item showing how much of the item each team is holding.

### hud_teamholdinfo_width

#### Description

Width of the teamholdinfo HUD element in pixels. Some elements support relative width, e.g. 25%

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 200

Variable is integer.

### hud_tp_need

#### Description

Toggles connection of tp_need_* variables with hud elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Numbers in HUD get red when they are lower than appropriate tp_need_* values.
0 | Numbers in HUD elements get red when below standard values.

E.g.: Use with 'tp_need_health 40' and your health indicator will display red numbers if your health is 40 or lower.

### hud_tracking_align_x

#### Description

Sets tracking HUD element horizontal alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: center

Variable is string.
left, center, right, before, after

See HUD manual for more info.

### hud_tracking_align_y

#### Description

Sets tracking HUD element vertical alignment.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: before

Variable is string.
top, center, bottom, console, before, after

See HUD manual for more info.

### hud_tracking_format

#### Description

Changes the format of descriptive text displayed when you are tracking someone as spectator or watching a demo where you can see player's team and name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: Tracking %t %n, [JUMP] for next

Variable is string.
Pattern %n will be replaced with tracked player's name, %t will be replaced with player's team.

### hud_tracking_frame

#### Description

Sets frame visibility and style for this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
Use floating point values from range 0..1 to get alpha transparent background or 2 to get bevel frame.

### hud_tracking_frame_color

#### Description

Defines the color of the background of the tracking HUD element. See HUD manual for more info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 0 0

Variable is string.

### hud_tracking_order

#### Description

This defines the order of drawing the HUD elements. That means you can change will be drawn on top of other elements. See HUD manual for more info

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 9

Variable is integer.

### hud_tracking_place

#### Description

Sets placement for this HUD element. You can align some elements relative to other elements.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: face

Variable is string.
to place this element inside element B set this variable to "@B", to place it outside B element set this variable to "B"

First you have to decide, if the element that you are locating now (element B) is to be positioned inside another element (element A) or outside it. See HUD manual for more info.

### hud_tracking_pos_x

#### Description

Sets horizontal position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_tracking_pos_y

#### Description

Sets vertical position of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### hud_tracking_show

#### Description

Toggles visibility of this HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw this element
0 | Do not draw this element

## Status Bar and Scoreboard Variables

### cl_hudswap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | The inventory is drawn on the left side of the screen.
0 | The inventory is drawn on the right side of the screen.

### cl_loadFragfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

Also needed to parse stats for extended scoreboard and frags tracker.

### cl_parseFrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable displaying team fortress related statistics in the scoreboard (flag touches, steals, caps, etc)
0 | Disable.

### cl_sbar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Use the old status bar.
0 | Use the new transparent HUD.

### cl_useimagesinfraglog

#### Description

Turns on using images in the frags tracker window to show which weapon did take the role in the frag

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

See Tracer Stats manual page for further info

### con_fragmessages

#### Description

Controls whether frag messages should be printed into console and notification area.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Will print frag messages (QW default).
0 | Will not print frag messages

Requires cl_loadfragfiles and cl_parsefrags variables to be set to 1.

### r_damagestats

#### Description

Displays the amount of damage taken recently on the screen above your armour and health.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### scr_centerSbar

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | The hud display will be centered.
0 | Off.

### scr_compactHud

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Compact huds off.
1 | Will display armour/health/ammo/weapons *very* compactly.
2 | Will display armour/health/ammo *very* compactly.
3 | Displays only health/armour.
4 | Is just like "2" except it also displays your current weapon's ammo in big numbers.

### scr_compactHudAlign

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | determine ammo amounts are aligned to the right.
0 | determine ammo amounts are aligned to the left.

### scr_drawHFrags

#### Description

Displays horizontal bar with frag stats (4 cells) in the old hud.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Turns frag display off.
1 | Individual frags.
2 | Teamfrags in teamplay mode.

Required settings for this to work: scr_newhud 0 or 2, viewsize below 110, cl_sbar 1 or cl_sbar 0 but vid_conwidth below 512; if you migrated from FuhQuake and can't get this to work, check these settings, the feature should work the same as in FuhQuake

### scr_drawVFrags

#### Description

Shows vertical row with frag stats on the right side of the old hud. When teamplay mode is on, will display also frags per team.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Turns frag display off.
1 | Individual frags.
2 | Teamfrags in teamplay mode.

Note: vid_conwidth must be at least 512, scr_centerSbar must be disabled; works only in deathmatch, not in cooperative

### scr_newhud

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Old standard status bar
1 | New customizable status bar
2 | First draws old status bar and then renders new status bar on the top of it.

### scr_sbar_drawammo

#### Description

Turns drawing amount of ammo on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw ammo.
0 | Do not draw ammo.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawammocounts

#### Description

Turns drawing amounts of ammo on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw countrs of ammo.
0 | Do not draw countrs of ammo.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawammoicon

#### Description

Turns drawing of ammo icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw ammo icon.
0 | Do not draw ammo icon.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawarmor

#### Description

Turns drawing of armor count on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw armor count.
0 | Do not draw armor count.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawarmoricon

#### Description

Turns drawing of armor icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw armor icon.
0 | Do not draw armor icon.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawfaceicon

#### Description

Turns drawing of face icon on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw face icon.
0 | Do not draw face icon.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawguns

#### Description

Turns drawing of available guns on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw avialable guns.
0 | Do not draw available guns.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawhealth

#### Description

Turns drawing of health amount on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw health amount.
0 | Do not draw health amount.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawitems

#### Description

Turns drawing of items (powerups and keys) in status bar on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw items in status bar.
0 | Do not draw items in status bar.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_sbar_drawsigils

#### Description

Turns drawing of sigils on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Draw sigils.
0 | Do not draw sigils.

This variable applies for old HUD <= 'scr_newhud 0'.

### scr_scoreboard_borderless

#### Description

Controls scoreboard border behavior

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | scoreboard border will be displayed
0 | no scoreboard border will be displayed

### scr_scoreboard_centered

#### Description

Controls X-position of scoreboard

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Scoreboard will be centered
0 | Scoreboard will not be centered

### scr_scoreboard_drawtitle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable scoreboard title.
0 | Disable scoreboard title.

### scr_scoreboard_fadescreen

#### Description

shadowing level, when scoreboard is displayed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.
[0...1] 0=transparent scoreboard 1=black scoreboard

### scr_scoreboard_fillalpha

#### Description

Change scoreboard fillalpha.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.7

Variable is float.

### scr_scoreboard_fillcolored

#### Description

Modify scoreboard fillcolour.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### scr_scoreboard_forcecolors

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | When you overwrite team/enemy color it will use only those colors for skins and scoreboard
0 | When you overwrite team/enemy color it will use only those colors for skins

### scr_scoreboard_posy

#### Description

Controls Y-offset of scoreboard headig ("Rankings").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.
If 0, Rankings will be shown at top of screen, else will be shifted down by given value.

### scr_scoreboard_showfrags

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable frags on the scoreboard.
0 | Disable frags on the scoreboard.

### scr_scoreboard_teamsort

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Team sort.
0 | Frag sort.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs